#ifndef __OLED_H
#define __OLED_H			  	 
#define  u8 unsigned char 
#define  u32 unsigned int 
#define OLED_CMD  0	
#define OLED_DATA 1	
#define OLED_MODE 0

#define XLevelL		0x02
#define XLevelH		0x10
#define Max_Column	128
#define Max_Row		64
#define	Brightness	0xFF 
#define X_WIDTH 	128
#define Y_WIDTH 	64	    						  

void delay_ms(unsigned int ms);

int init_fd(int dc, int res, char* spi);
void OLED_DC_Set();
void OLED_DC_Clr();

void OLED_RES_Set();
void OLED_RES_Clr();

void OLED_END();
void OLED_WR_Byte(u8 dat,u8 cmd);	    
void OLED_Display_On(void);
void OLED_Display_Off(void);	   							   		    
void OLED_Init(void);
void OLED_Clear(void);
void OLED_DrawPoint(u8 x,u8 y,u8 t);
void OLED_Fill(u8 x1,u8 y1,u8 x2,u8 y2,u8 dot);
void OLED_ShowChar(u8 x,u8 y,u8 chr);
void OLED_ShowNum(u8 x,u8 y,u32 num,u8 len,u8 size2);
void OLED_ShowString(u8 x,u8 y, u8 *p);	
void OLED_Set_Pos(unsigned char x, unsigned char y);
#endif  
	 



